%global serial 2
%global meadalpha %{nil}
%global meadrel %{nil}
%global version_major 1
%global version_minor 0
%global version_micro 0
Name: gateway-rockspecs-native
Version: %{version_major}.%{version_minor}.%{version_micro}
Release: %{serial}%{?dist}
Summary: Native Dependencies for 3scale API gateway (APIcast).
License: MIT
URL: https://github.com/3scale/apicast

Source0: licenses.xml
Source1: https://luarocks.org/manifests/gvvaughan/lyaml-6.2.3-1.src.rock


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: luarocks rpm-build redhat-rpm-config rpmdevtools libyaml-devel lua-devel 
# Using requires so we can regenerate the manifest on installation.
Requires: luarocks libyaml

%description
RPM to bundle required Native dependencies for AMP APIcast Gateway.

%prep
%autosetup -T -c %{name}-%{version}

%install
for source in "%{_sourcedir}"/*.src.rock; do
  luarocks install --deps-mode=none --tree %{buildroot}/usr/local "$source"
done
rm -f %{buildroot}/usr/local/%{_lib}/luarocks/rocks/manifest
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}/licenses
cp "%{_sourcedir}"/licenses.xml %{buildroot}%{_docdir}/%{name}/licenses 

%post
luarocks-admin --tree=/usr/local  make_manifest --local-tree

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/usr/local/%{_lib}/luarocks/
/usr/local/share/lua/
/usr/local/%{_lib}/lua/5.1/
%doc %{_docdir}/%{name}/licenses/

%changelog
* Wed Mar 13 2019 David Ortiz <dortiz@redhat.com> - 1.0.0-2
- -

* Wed Mar 13 2019 David Ortiz <dortiz@redhat.com> - 1.0.0-1
- First build

* Wed Mar 13 2019 David Ortiz <dortiz@redhat.com>
- First version

